<html>
<head>
<title>OgreRenderQueue.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreRenderQueue.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreHeaderPrefix_8h_source.html">OgreHeaderPrefix.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h_source.html">OgreIteratorWrappers.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHeaderSuffix_8h_source.html">OgreHeaderSuffix.h</a>&quot;</code><br/>
</div>
<p><a href="OgreRenderQueue_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to manage the scene object rendering queue.  <a href="classOgre_1_1RenderQueue.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap.html">Ogre::RenderQueue::RenderQueueGroupMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1value__type.html">Ogre::RenderQueue::RenderQueueGroupMap::value_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderQueueGroupMap_1_1iterator.html">Ogre::RenderQueue::RenderQueueGroupMap::iterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">Ogre::RenderQueue::RenderableListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to listen in on items being added to the render queue.  <a href="classOgre_1_1RenderQueue_1_1RenderableListener.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#gaf7eb718b406b59b1762c3e37b90212b3">OGRE_RENDERABLE_DEFAULT_PRIORITY</a>&#160;&#160;&#160;100</td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#gad08013a341ff0ef07c39fa3502bf6c00">Ogre::RenderQueueGroupID</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a6f63169671858ecbaf90d237f5726cd4">Ogre::RENDER_QUEUE_BACKGROUND</a> =  0, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a85a7c54f44b9ac82523d80d19b6b2394">Ogre::RENDER_QUEUE_SKIES_EARLY</a> =  5, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a82534671938c174a7d681d89083ef7db">Ogre::RENDER_QUEUE_1</a> =  10, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a53b5d66a0512dfd2c311d7cc66b20381">Ogre::RENDER_QUEUE_2</a> =  20, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00ade11af91b1f43096ff932b9c3843e5e4">Ogre::RENDER_QUEUE_WORLD_GEOMETRY_1</a> =  25, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a72b7acba73734142cfa10e9cc75962c9">Ogre::RENDER_QUEUE_3</a> =  30, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a9e2ea42071d435e220510e556cd7406c">Ogre::RENDER_QUEUE_4</a> =  40, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00af9d31cc0cad8ce9890b4af5f9014f5be">Ogre::RENDER_QUEUE_MAIN</a> =  50, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a531fdb018ca4d5ff2ba7a97fba949bbe">Ogre::RENDER_QUEUE_6</a> =  60, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00abc64da9d300b2d65a19e5fc0bfa05d58">Ogre::RENDER_QUEUE_7</a> =  70, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a256a799730f10076007fd0411e033b1f">Ogre::RENDER_QUEUE_WORLD_GEOMETRY_2</a> =  75, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a31ac7ce7cf426c952976a3fdcc3e4e8e">Ogre::RENDER_QUEUE_8</a> =  80, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a5c4ab4460dc0489bbc5ea049d8412d21">Ogre::RENDER_QUEUE_9</a> =  90, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a53468f34583f3a469cc8ca2f444fb6ff">Ogre::RENDER_QUEUE_SKIES_LATE</a> =  95, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a51f548bb157ad908542478155f7d807b">Ogre::RENDER_QUEUE_OVERLAY</a> =  100, 
<a class="el" href="group__RenderSystem.html#ggad08013a341ff0ef07c39fa3502bf6c00a2d1e261d9e3298b1cb7272b392f550b1">Ogre::RENDER_QUEUE_MAX</a> =  105
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration of queue groups, by which the application may group queued renderables so that they are rendered together with events in between.  <a href="group__RenderSystem.html#gad08013a341ff0ef07c39fa3502bf6c00">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
